Bug 1282428 - [RFE] Support enabling the port security extension
[RFE] Support enabling the port security extension
Status: CLOSED ERRATA
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-tripleo-heat-templates (Show other bugs)
8.0 (Liberty)
Unspecified Unspecified
high Severity high
: rc
: 10.0 (Newton)
Assigned To: Jiri Stransky
Toni Freger
: FutureFeature, Triaged
: 1272167 1279613 1286409 (view as bug list)
Depends On: 1272167
Blocks: 1279613
  Show dependency treegraph
 
Reported: 2015-11-16 06:35 EST by Nir Yechiel
Modified: 2016-12-14 10:17 EST (History)
14 users (show)

See Also:
Fixed In Version: openstack-tripleo-heat-templates-5.0.0-0.20160609160634.8027ae2.el7ost
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of: 1272167
Environment:
Last Closed: 2016-12-14 10:17:33 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Launchpad 1531970 None None None 2016-01-07 14:32 EST
OpenStack gerrit 287866 None None None 2016-03-03 10:17 EST

  None (edit)
Description Nir Yechiel 2015-11-16 06:35:32 EST
+++ This bug was initially created as a clone of Bug #1272167 +++

We should support configuration of the port security extension. To enable, add the following to the "extension_drivers" in the ML2 section in the ML2 plugin file (e.g. /etc/neutron/plugins/ml2/ml2_conf.ini): For example:

[ml2]
extension_drivers = port_security
Comment 2 Mike Burns 2015-11-30 09:04:28 EST
*** Bug 1286409 has been marked as a duplicate of this bug. ***
Comment 3 Brent Eagles 2016-01-07 14:41:42 EST
An u/s patch was submitted against master (mitaka) 

https://review.openstack.org/#/c/264940/

This will need to be merged and backport to stable/liberty to make it into OSP 8.
Comment 5 Nir Yechiel 2016-03-03 10:11:23 EST
*** Bug 1272167 has been marked as a duplicate of this bug. ***
Comment 6 Nir Yechiel 2016-03-03 10:13:47 EST
*** Bug 1279613 has been marked as a duplicate of this bug. ***
Comment 7 Nir Yechiel 2016-03-03 10:17:48 EST
(In reply to Brent Eagles from comment #3)
> An u/s patch was submitted against master (mitaka) 
> 
> https://review.openstack.org/#/c/264940/
> 
> This will need to be merged and backport to stable/liberty to make it into
> OSP 8.

Liberty backport: https://review.openstack.org/#/c/287866/
Comment 9 Mike McCune 2016-03-28 18:19:01 EDT
This bug was accidentally moved from POST to MODIFIED via an error in automation, please see mmccune@redhat.com with any questions
Comment 10 Mike Burns 2016-04-07 16:57:01 EDT
This bug did not make the OSP 8.0 release.  It is being deferred to OSP 10.
Comment 14 Toni Freger 2016-10-13 10:56:24 EDT
The extension is enabled by default and tempest test test_port_security_macspoofing_port passed successfully.
Verified on  - openstack-tripleo-heat-templates-5.0.0-0.20160929150845.4cdc4fc.el7ost.noarch
Comment 18 errata-xmlrpc 2016-12-14 10:17:33 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHEA-2016-2948.html

Note You need to log in before you can comment on or make changes to this bug.